classification
Title: Sphinx is deprecating add_description_unit
Type: Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, mdk, miss-islington
Priority: normal Keywords: easy, patch

Created on 2018-10-12 17:06 by mdk, last changed 2018-10-16 06:47 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9827 merged matrixise, 2018-10-12 17:54
PR 9834 merged miss-islington, 2018-10-13 06:14
PR 9835 merged miss-islington, 2018-10-13 06:14
PR 9836 merged miss-islington, 2018-10-13 06:14
Messages (5)
msg327600 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-10-12 17:06
When running `make -C Doc/ autobuild-dev-html` with a recent Sphinx, I'm getting:

    /.../site-packages/sphinx/application.py:927: RemovedInSphinx20Warning: app.add_description_unit() is now deprecated. Use app.add_object_type() instead.

Looks easy to fix.
msg327627 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-10-13 06:14
New changeset e385d0661ecf8bc9ba95c4395d9a11262c2cbfec by Julien Palard (Stéphane Wirtel) in branch 'master':
bpo-34967: Sphinx is deprecating add_description_unit, use add_object_type (GH-9827)
https://github.com/python/cpython/commit/e385d0661ecf8bc9ba95c4395d9a11262c2cbfec
msg327811 - (view) Author: miss-islington (miss-islington) Date: 2018-10-16 06:46
New changeset 514bbfc7fc4dcb868d4364632ad14c0533af154f by Miss Islington (bot) in branch '3.7':
bpo-34967: Sphinx is deprecating add_description_unit, use add_object_type (GH-9827)
https://github.com/python/cpython/commit/514bbfc7fc4dcb868d4364632ad14c0533af154f
msg327812 - (view) Author: miss-islington (miss-islington) Date: 2018-10-16 06:47
New changeset e2c3bc7e79c3506609845f7f62ba102e6c7e9993 by Miss Islington (bot) in branch '3.6':
bpo-34967: Sphinx is deprecating add_description_unit, use add_object_type (GH-9827)
https://github.com/python/cpython/commit/e2c3bc7e79c3506609845f7f62ba102e6c7e9993
msg327813 - (view) Author: miss-islington (miss-islington) Date: 2018-10-16 06:47
New changeset f82c9f1e1af8d35056a6961281d72467b4c46b8d by Miss Islington (bot) in branch '2.7':
bpo-34967: Sphinx is deprecating add_description_unit, use add_object_type (GH-9827)
https://github.com/python/cpython/commit/f82c9f1e1af8d35056a6961281d72467b4c46b8d
History
Date User Action Args
2018-10-16 06:47:49mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-16 06:47:29miss-islingtonsetmessages: + msg327813
2018-10-16 06:47:10miss-islingtonsetmessages: + msg327812
2018-10-16 06:46:43miss-islingtonsetnosy: + miss-islington
messages: + msg327811
2018-10-13 06:14:40miss-islingtonsetpull_requests: + pull_request9210
2018-10-13 06:14:32miss-islingtonsetpull_requests: + pull_request9209
2018-10-13 06:14:21miss-islingtonsetpull_requests: + pull_request9208
2018-10-13 06:14:13mdksetmessages: + msg327627
2018-10-12 17:54:26matrixisesetkeywords: + patch
stage: patch review
pull_requests: + pull_request9202
2018-10-12 17:06:16mdkcreate